# Copyright (c) 2013 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

AUTHOR = 'wiley, pstew, quiche'
NAME = 'network_WiFi_MultiAuth'
TIME = 'SHORT'
TEST_TYPE = 'Server'
ATTRIBUTES = ('suite:wifi_matfunc, suite:wifi_matfunc_noservo')
DEPENDENCIES = 'wificell'

DOC = """
This test is designed to check that we can successfully select
between two networks with identical SSIDs that have different
security parameters.
"""


def run(machine):
    host = hosts.create_host(machine)
    job.run_test('network_WiFi_MultiAuth',
                 host=host,
                 raw_cmdline_args=args)


parallel_simple(run, machines)
